Bug 67371 - Sound is installed but Linux cannot start it!
Sound is installed but Linux cannot start it!
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
n/a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-23 16:02 EDT by Mike Becker
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-23 16:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Becker 2002-06-23 16:02:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
My system is an HP Pavilion 750n w/integrated sound using the Intel Corp  
I82801 BA/BAM chipset.  The audio controller is AC'97 compatible. 

The results after running sndconfig is this:
 PCI PROBE RESULTS: (as displayed!)
"The Intel Corp. I82801 BA/BAM AC'97 audio controller is currently supported but
yours is currently disabled. You can possibly fix this by setting 'PnP OS' to
'no' in your BIOS"

This I did do.  Upon the next bootup, when reaching 'searching for new hardware'
in the bootup process, KUDZU was run and the audio controller was setup
properly.  When the bootup was completed, the audio was still not working!

These two messages were displayed:
 SERVER SOUND WARNING MESSAGE  (as displayed!)
Can't set real-time scheduling priority. You need to run artswrapper as root or
setuid root. This means that you will likely not be able to produce acceptable
sound (i.e. without clicks and breaks)>

 SOUND SERVER INFOMATION MESSAGE  (as dislayed!)
Error while initializing the sound driver: can't start sound I/O.
The sound server will continue, using the null output device.

And then 60 seconds after booting up I get a message saying that "The sound
server autostart fail to start" (Paraphrased!)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH Linux 7.3 on an HP Pavilion 750n...and run it!
2.
3.
	

Actual Results:  OS runs fine except for the lack of audio...

Expected Results:  There should be sound available after booting up...

Additional info:

I have SuSE 8.0 Personal Edition installed on another partition and it runs
GREAT!  The sound always works!  I also had Mandrake 8.2 installed at one time
and it too run well.  I know that all three distros use the same driver -
intel8x0 - for this chipset!!!  If it works for the other two distros, it should
work for Red Hat 7,3 as well...
Comment 1 Mike Becker 2002-06-27 14:59:31 EDT
6/27/02 - I was able to get the sound to work by disconnecting my Logitech
QuickCam 3000 from its USB port! While the sound is now working and well at
that, it does show a problem with the USB section of the OS.

Thanks!

Mike

Note You need to log in before you can comment on or make changes to this bug.